Solved Munin does not build graphs correctly.

Hello.
After updating programs on the server, munin does not build graphs correctly.
There was no munin program update in the list.
My system FreeBSD 14.0-RELEASE-p6 amd64.

Code:
# locale
LANG=en_US.UTF-8
LC_CTYPE="en_US.UTF-8"
LC_COLLATE="en_US.UTF-8"
LC_TIME="en_US.UTF-8"
LC_NUMERIC="en_US.UTF-8"
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES="en_US.UTF-8"
LC_ALL=en_US.UTF-8

Code:
# pkg version -v | egrep 'rrd|munin'
munin-common-2.0.75_1              =   up-to-date with index
munin-master-2.0.75_1              =   up-to-date with index
munin-node-2.0.75_2                =   up-to-date with index
rrdtool-1.8.0_4                    =   up-to-date with index
I attached a screenshot of the graphs to the topic.
Please help me solve the problem, I don’t understand what has changed in plotting.
 

Attachments

  • ttt.png
    ttt.png
    57.8 KB · Views: 28
What was updated? There might be a clue or two in that list.

EDIT - it looks like a font or font-rendering issue, doesn’t it? Anything along those lines updated?

I think that it is actually building the graphs fine, it’s failing to render the text.

How did you update? If using ports do you need to rebuild sone thing else?
 
update list
Code:
 libedit-3.1.20230828_1,1 deinstalled
 libedit-3.1.20240517,1 installed
 pkgconf-2.2.0,1 installed
 xorg-macros-1.19.3 installed
 xorgproto-2023.2 deinstalled
 xorgproto-2024.1 installed
 libnghttp2-1.61.0 deinstalled
 libnghttp2-1.62.1 installed
 pkg-1.21.2 deinstalled
 pkg-1.21.3 installed
 nginx-1.24.0_16,3 deinstalled
 nginx-1.24.0_17,3 installed
 p5-Net-DNS-1.44,1 deinstalled
 p5-Net-DNS-1.45,1 installed
 gmake-4.4.1 installed
 libtextstyle-0.22.5 installed
 gettext-tools-0.22.5 installed
 postgresql15-client-15.6 deinstalled
 postgresql15-client-15.7 installed
 libffi-3.4.4_1 deinstalled
 libffi-3.4.6 installed
 python311-3.11.9 installed
 py311-setuptools-63.1.0_1 installed
 py311-flit-core-3.9.0 installed
 py311-installer-0.7.0 installed
 py311-packaging-24.0 installed
 py311-pyproject_hooks-1.1.0 installed
 py311-build-1.2.1 installed
 py311-wheel-0.43.0 installed
 ninja-1.11.1,4 installed
 meson-1.4.1 installed
 fribidi-1.0.13_1 deinstalled
 fribidi-1.0.14 installed
 public_suffix_list-20240531 installed
 libpsl-0.21.5 deinstalled
 libpsl-0.21.5_1 installed
 p5-HTTP-Message-6.45 deinstalled
 p5-HTTP-Message-6.46 installed
 p5-CGI-4.64 deinstalled
 p5-CGI-4.65 installed
 nano-7.2_1 deinstalled
 nano-8.0 installed
 curl-8.7.1 deinstalled
 curl-8.8.0 installed
 python39-3.9.18_2 deinstalled
 python39-3.9.19 installed
 py311-poetry-core-1.9.0 installed
 py311-pyasn1-0.6.0 installed
 py39-rsa-4.9 deinstalled
 py311-rsa-4.9_1 installed
 py39-pysocks-1.7.1 deinstalled
 py311-pysocks-1.7.1_1 installed
 glib-2.80.0,2 deinstalled
 glib-2.80.2,2 installed
 p5-Locale-gettext-1.07 installed
 help2man-1.49.3_1 installed
 p5-Locale-libintl-1.33 installed
 p5-Text-Unidecode-1.30 installed
 p5-Unicode-EastAsianWidth-12.0 installed
 texinfo-7.1_2,1 installed
 m4-1.4.19_1,1 installed
 bison-3.8.2_2,1 installed
 gobject-introspection-1.78.1_2,1 installed
 harfbuzz-8.4.0 deinstalled
 harfbuzz-8.5.0 installed
 pango-1.50.14 deinstalled
 pango-1.52.2_1 installed
 jsoncpp-1.9.5 installed
 libuv-1.48.0 installed
 rhash-1.4.4_1 installed
 cmake-core-3.29.3 installed
 libxml2-2.11.7 deinstalled
 libxml2-2.11.8 installed
 libidn-1.38_1 deinstalled
 libidn-1.42 installed
 exim-4.97.1_4 deinstalled
 exim-4.97.1_5 installed
 ruby32-gems-3.5.11 installed
 rubygem-asciidoctor-2.0.23 installed
 py39-jmespath-1.0.1_1 deinstalled
 py311-jmespath-1.0.1_1 installed
 py311-typing-extensions-4.12.1 installed
 py311-setuptools-scm-8.0.4 installed
 py311-six-1.16.0 installed
 py311-python-dateutil-2.9.0 installed
 py311-urllib3-1.26.18_1,1 installed
 py39-botocore-1.34.88 deinstalled
 py311-botocore-1.34.120 installed
 py39-s3transfer-0.10.1 deinstalled
 py311-s3transfer-0.10.1_1 installed
 getopt-1.1.6_1 installed
 libgpg-error-1.49 installed
 libgcrypt-1.10.3_1 installed
 libxslt-1.1.37_1 installed
 xmlcatmgr-2.2_4 installed
 iso8879-1986_3 installed
 docbook-sgml-4.5_1 installed
 xmlcharent-0.3_2 installed
 docbook-xml-5.0_3 installed
 sdocbook-xml-1.1_2,2 installed
 docbook-1.5 installed
 docbook-xsl-1.79.1_1,1 installed
 autoconf-switch-20220527 installed
 autoconf-2.72 installed
 automake-1.16.5_1 installed
 libtool-2.4.7_2 installed
 libpaper-1.1.28_1 installed
 libatomic_ops-7.8.0 installed
 boehm-gc-8.2.6 installed
 w3m-0.5.3.20230718 installed
 xmlto-0.0.28_1 installed
 git-2.45.0 deinstalled

I tried to rebuild according to dependencies, but the fonts are still displayed crookedly.
Code:
portupgrade -frR sysutils/munin-node
portupgrade -frR sysutils/munin-master
 
There's a few text/font related items in there so could be one of those.
Nothing obvious in /usr/ports/UPDATING.

I don't use munin but if you've rebuilt everything else you could try rebuilding munin again on top of those. Does it need to be restarted (munin)?

Anything useful e.g. here:

 
There's a few text/font related items in there so could be one of those.
Nothing obvious in /usr/ports/UPDATING.

I don't use munin but if you've rebuilt everything else you could try rebuilding munin again on top of those. Does it need to be restarted (munin)?

Anything useful e.g. here:

Situation similar.
In files /var/log/munin/*.log no errors.
I'll try to rebuild rrdtool along with its dependencies.
 
Don't know if it's relevant for Munin but double-check Python and its modules too. Make sure to pkg-autoremove(8). The default Python version changed from 3.9 to 3.11 recently.
 
Don't know if it's relevant for Munin but double-check Python and its modules too. Make sure to pkg-autoremove(8). The default Python version changed from 3.9 to 3.11 recently.
Two servers.
FreeBSD 13.2 and FreeBSD 14.0
On both servers, Python was updated to version 3.11.
On a server with a freebsd 13.2-RELEASE-p11 system, munin works well.
On a server with freebsd 14.0-RELEASE-p6, munin does not display graphs correctly.

The software version is the same on both servers.
munin-common-2.0.75_1 = up-to-date with index
munin-master-2.0.75_1 = up-to-date with index
munin-node-2.0.75_2 = up-to-date with index
rrdtool-1.8.0_4 = up-to-date with index
 
Back
Top